<?php

namespace App\Helpers;

class VehicleStatusHelper
{
    public static function getStatusText($value, $options)
    {
        return $options[$value] ?? '';
    }

    public static function getStaticPositionMap()
    {
        return [
            1 => 'Come da documentazione fotografica',
            2 => 'Come rilievo planimetrico',
            3 => 'Coma da schizzo a vista non in scala',
            4 => 'Già rimosso'
        ];
    }

    public static function getDestinazioneVeicoloMap()
    {
        return [
            1 => "Rimosso ai sensi dell'articolo 2028",
            2 => 'Sequestro art. 354 Codice Procedura Penale',
            3 => 'Sequestro art. 321 Codice Procedura Penale',
            4 => 'Sequestro',
            5 => 'Sequestro amministrativo',
            6 => 'Fermo amministrativo',
            7 => 'Ritirato dal conducente'
        ];
    }

    public static function getStatoPneumaticiMap()
    {
        return [
            1 => 'Regolamentare',
            2 => 'Buono',
            3 => 'Sufficiente',
            4 => 'Insufficiente',
            5 => 'Non rilevato'
        ];
    }

    public static function getTergicristalliMap()
    {
        return [
            1 => 'FUNZIONANTE',
            2 => 'NON FUNZIONANTE',
            3 => 'NON RILEVATO',
            4 => 'NON PREVISTO'
        ];
    }

    public static function getSegnalePericoloMap()
    {
        return [
            1 => 'PRESENTE',
            2 => 'NON PRESENTE',
            3 => 'NON RILEVATO',
            4 => 'NON PREVISTO'
        ];
    }

    public static function getMarciaMap()
    {
        return [
            0 => 'Folle',
            1 => 'Prima',
            2 => 'Seconda',
            3 => 'Terza',
            4 => 'Quarta',
            5 => 'Quinta',
            6 => 'Sesta',
            7 => 'Retromarcia',
            8 => 'Non rilevata',
            9 => 'Cambio automatico'
        ];
    }
}
